using UnityEngine;

namespace State
{
    public abstract class GameState
    {
        public enum Command { Attack, Jump, Pause }
        protected StateMachine StateMachine;
        public virtual void OnEnter(StateMachine machine)
        {
            StateMachine = machine;
        }

        public virtual void OnExit() { }

        public virtual void Update() { }

        public virtual void Handle(Command command) { }

        public virtual void Handle(Vector2 input) { }
    }
}